##### 7.5.14.0. dmodGeneralAssumptionCheck

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  dmodGeneralAssumptionCheck();

Return:
  nothing, but checks general assumptions on the basering

Note:
  This procedure checks the following conditions on the basering R and prints an error message if any of them is violated:
  - R is the n-th Weyl algebra over a field of characteristic 0,
  - R is not a qring,
  - for all 1<=i<=n the identity var(i+n)*var(i)=var(i)*var(i+1)+1 holds, i.e. the sequence of variables is given by
  x(1),...,x(n),D(1),...,D(n), where D(i) is the differential operator belonging to x(i).

Example:

    LIB "dmodloc.lib";
    ring r = 0,(x,D),dp;
    dmodGeneralAssumptionCheck(); // prints error message
    ==>    ? Basering is not a Weyl algebra
    ==>    ? leaving dmodloc.lib::dmodGeneralAssumptionCheck (0)
    def W = Weyl();
    setring W;
    dmodGeneralAssumptionCheck(); // returns nothing

User manual for Singular version 4.4.1, 2025, generated by texi2html.